import {httpApi} from "../../request/httpApi";

export default {
    //员工合同、入职、离职的分页
    async page(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/usercontractinfo/page',
            method: 'get',
            params: form
        }, msg);
    },
    //员工合同、入职、离职的删除
    async remove(form) {
        return httpApi({
            url: '/api/blade-control/usercontractinfo/remove',
            method: 'post',
            params: form
        }, false);
    },
    //员工合同、入职、离职的详情
    async detail(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/usercontractinfo/detail',
            method: 'get',
            params: form
        }, msg);
    },
    //员工合同、入职、离职的新增修改
    async submit(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/usercontractinfo/submit',
            method: 'post',
            data: form,
            isDelay: true
        }, msg);
    },
}
